Get event by condition id
curl --request GET \
--url https://api.worm.wtf/events/{condition_id}/import requests
url = "https://api.worm.wtf/events/{condition_id}/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.worm.wtf/events/{condition_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"condition_id": "9x4H2LdQ7sM1Kp6Wv3Tn8YfR5aC2uJ7mB4eQ9zN6dLp",
"title": "Boston Celtics vs Philadelphia 76ers (Apr 28, 2026)",
"description": "NBA event slate for Apr 28, 2026.",
"logo": "https://cdn.worm.wtf/e/42.png",
"video_url": null,
"category": "sports",
"created": 1714300000,
"markets": [
{
"title": "Will the Atlanta Hawks beat the New York Knicks in the NBA game on April 28, 2026?",
"description": "",
"condition_id": "7n9G9WfQ2V7d6hM3XK8pQ4LwR2eY6aT1uJ5cB8mN3qPz",
"logo": null,
"last_trade_price": "0.68",
"state": "open",
"category": "sports",
"created": 1714300100,
"creator": { "username": "creator1", "image": null, "twitter_username": null },
"event": { "title": "Boston Celtics vs Philadelphia 76ers (Apr 28, 2026)", "condition_id": "9x4H2LdQ7sM1Kp6Wv3Tn8YfR5aC2uJ7mB4eQ9zN6dLp", "logo": "https://cdn.worm.wtf/e/42.png" },
"margin_enabled": true
}
]
},
"meta": {},
"error": null
}
{
"data": null,
"meta": null,
"error": {
"code": -11,
"slug": "invalid_request_params",
"message": "Validation Error",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -15,
"slug": "not_found",
"message": "Not found.",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -17,
"slug": "throttled",
"message": "Request was throttled.",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -3,
"slug": "internal_error",
"message": "An internal error occurred.",
"details": []
}
}
Events
Get event by condition id
Retrieve detailed information for a single event.
GET
/
events
/
{condition_id}
/
Get event by condition id
Path Parameters
string
required
The unique condition identifier of the event.
Response
object
Detailed event payload.
Show Data fields
Show Data fields
string
Event condition id.
string
Event title.
string
Event description.
string | null
Event logo URL when present.
string | null
Optional event media URL.
string
Category slug. The platform uses a fixed set (not user-defined):
politics, sports, crypto, wtf, tech, finance.integer | null
Created time (unix seconds).
array
All related market summaries; each item matches List markets row shape.
object
Empty object on success for this endpoint.
object | null
null on success. Error object on failed requests.{
"data": {
"condition_id": "9x4H2LdQ7sM1Kp6Wv3Tn8YfR5aC2uJ7mB4eQ9zN6dLp",
"title": "Boston Celtics vs Philadelphia 76ers (Apr 28, 2026)",
"description": "NBA event slate for Apr 28, 2026.",
"logo": "https://cdn.worm.wtf/e/42.png",
"video_url": null,
"category": "sports",
"created": 1714300000,
"markets": [
{
"title": "Will the Atlanta Hawks beat the New York Knicks in the NBA game on April 28, 2026?",
"description": "",
"condition_id": "7n9G9WfQ2V7d6hM3XK8pQ4LwR2eY6aT1uJ5cB8mN3qPz",
"logo": null,
"last_trade_price": "0.68",
"state": "open",
"category": "sports",
"created": 1714300100,
"creator": { "username": "creator1", "image": null, "twitter_username": null },
"event": { "title": "Boston Celtics vs Philadelphia 76ers (Apr 28, 2026)", "condition_id": "9x4H2LdQ7sM1Kp6Wv3Tn8YfR5aC2uJ7mB4eQ9zN6dLp", "logo": "https://cdn.worm.wtf/e/42.png" },
"margin_enabled": true
}
]
},
"meta": {},
"error": null
}
{
"data": null,
"meta": null,
"error": {
"code": -11,
"slug": "invalid_request_params",
"message": "Validation Error",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -15,
"slug": "not_found",
"message": "Not found.",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -17,
"slug": "throttled",
"message": "Request was throttled.",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -3,
"slug": "internal_error",
"message": "An internal error occurred.",
"details": []
}
}